const chars = ['0','1','2','3','4','5','6','7','8','9','A','B','C','D','E','F','G','H','I','J','K','L','M','N','O','P','Q','R','S','T','U','V','W','X','Y','Z'];
function generateUserId(n, callback) {
    let res = "";
    for(let i = 0; i < n ; i ++) {
        let id = Math.ceil(Math.random()*35);
        res += chars[id];
    }
    $("#userId").val(res);
    if(callback && typeof(callback)) {
        callback()
    }
}
let socket;
function openSocket() {
    if(typeof(WebSocket) == "undefined") {
        console.log("您的浏览器不支持WebSocket");
    }else{
        //实现化WebSocket对象，指定要连接的服务器地址与端口  建立连接
        let userId = document.getElementById('userId').value;
        // let socketUrl="ws://127.0.0.1:22599/webSocket/"+userId;
        let socketUrl="ws://localhost:18080/webSocket/" + userId;
        console.log(socketUrl);
        if(socket!=null){
            socket.close();
            socket=null;
        }
        socket = new WebSocket(socketUrl);
        //打开事件
        socket.onopen = function() {
            console.log("websocket已打开");
            //socket.send("这是来自客户端的消息" + location.href + new Date());
        };
        //获得消息事件
        socket.onmessage = function(msg) {
            console.log(msg.data)
            $("#uploadStep").html(msg.data)
        };
        //关闭事件
        socket.onclose = function() {
            console.log("websocket已关闭");
        };
        //发生了错误事件
        socket.onerror = function() {
            console.log("websocket发生了错误");
        }
    }
}